Reserve a temporary connection/run-bound request body
curl --request POST \
--url https://app.factorize.sh/api/v1/proxy-payloads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "payload",
"mediaType": "application/octet-stream",
"byteSize": 16777216
}
'import requests
url = "https://app.factorize.sh/api/v1/proxy-payloads"
payload = {
"name": "payload",
"mediaType": "application/octet-stream",
"byteSize": 16777216
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'payload', mediaType: 'application/octet-stream', byteSize: 16777216})
};
fetch('https://app.factorize.sh/api/v1/proxy-payloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/proxy-payloads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'payload',
'mediaType' => 'application/octet-stream',
'byteSize' => 16777216
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/proxy-payloads"
payload := strings.NewReader("{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/proxy-payloads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/proxy-payloads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mediaType": "<string>",
"size": 0,
"state": "pending",
"sha256": "<string>",
"expiresAt": "<string>",
"uploadUrl": "<string>",
"browserUploadUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}proxy-payloads
Reserve a temporary connection/run-bound request body
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
POST
/
api
/
v1
/
proxy-payloads
Reserve a temporary connection/run-bound request body
curl --request POST \
--url https://app.factorize.sh/api/v1/proxy-payloads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "payload",
"mediaType": "application/octet-stream",
"byteSize": 16777216
}
'import requests
url = "https://app.factorize.sh/api/v1/proxy-payloads"
payload = {
"name": "payload",
"mediaType": "application/octet-stream",
"byteSize": 16777216
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'payload', mediaType: 'application/octet-stream', byteSize: 16777216})
};
fetch('https://app.factorize.sh/api/v1/proxy-payloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/proxy-payloads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'payload',
'mediaType' => 'application/octet-stream',
'byteSize' => 16777216
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/proxy-payloads"
payload := strings.NewReader("{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/proxy-payloads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/proxy-payloads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"payload\",\n \"mediaType\": \"application/octet-stream\",\n \"byteSize\": 16777216\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mediaType": "<string>",
"size": 0,
"state": "pending",
"sha256": "<string>",
"expiresAt": "<string>",
"uploadUrl": "<string>",
"browserUploadUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Body
application/json
Response
Upload/staging receipt